# ZIL-Antarctica
Zero-degree isotherm (ZIL) in Antarctica

This is the Jupyter notebooks required to reproduce the research "Southward migration of the zero-degree isotherm latitude over the Southern Ocean and the Antarctic Peninsula: cryospheric, biotic and societal implications" <!--published in *Communications of Earth & Environment*. -->

This repository is divided in different notebooks that:

0. Plot the Maps presented in Figures 1 and S1
1. Compute and plot the melting season for Observations and ERA5 and its comparison
2. Compute and plot the climatological characterization of ZIL in ERA5
3. Compute and plot the past-recent annual and seasonal trends of ZIL in ERA5
4. Compute the annual and seasonal temperatures from monthly data in CMIP6 models 
5. Compute and plot the annual and seasonal trends in the Historical simulations in CMIP6 models and compare with ERA5
6. Compute and plot the trends in the future projections under the SSP2-4.5 scenario in CEMIP6 models
7. Compute and plot the trends in the future projections under the SSP5-8.5 scenario in CEMIP6 models
8. Compute and plot the past-recent annual and seasonal mean ZIL position in ACI style

<!-- More information at: González-Herrero et. al. (2022) -->
<!-- DOI: https://doi.org/10.1038/s43247-022-00450-5 -->

## Versions and dependences

The script consists in a group of Jupyter notebooks programed in python 3.8. The following libraries are necessary:
```
  cdsapi
  os
  glob
  math
  netCDF4
  scipy
  numpy
  pandas
  seaborn
  matplotlib  
  cartopy
  datetime
  requests
  iris
```

## How to cite
<!--
If you use or modify this script for your research, please cite as:
González-Herrero, S., Barriopedro, D., Trigo, R.M. et al. Climate warming amplified the 2020 record-breaking heatwave in the Antarctic Peninsula. Commun Earth Environ 3, 122 (2022). https://doi.org/10.1038/s43247-022-00450-5
-->

## Contact
If you have any question, please contact with Sergi at sergi.gonzalez@slf.ch
